<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package palmiword
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<main id="primary" class="site-main">
<div class="comment-form-comment">

    <div id="comments" class="comments-area">
        <?php if ( have_comments() ) : ?>
        <h3 class="comments-title">
            <?php printf(esc_html( 'Commenti su "%2$s"', get_comments_number(), 'comments title', 'palmiword' ),
             esc_html( get_comments_number()), esc_html( get_the_title())); ?>
        </h3>

        <ol class="comment-list">
    <?php
        wp_list_comments( array(
        'style'       => 'ol',
        'short_ping'  => true,
        'avatar_size' => 74,
        ) );
        ?>
        </ol>

                <?php
        if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
        ?>
        <nav class="navigation comment-navigation" role="navigation">
            <h1 class="screen-reader-text section-heading"><?php esc_html_e( 'Come navigare', 'palmiword' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'palmiword' ) ); ?>
            </div>
            <div class="nav-next"><?php next_comments_link( __( 'Commenti più recenti &rarr;', 'palmiword' ) ); ?></div>
        </nav>

        <?php endif; // Controlla la navigazione dei commenti ?>
        <?php if ( ! comments_open() && get_comments_number() ) : ?>
        <p class="no-comments"><?php esc_html_e( 'I commenti sono chiusi.' , 'palmiword' ); ?></p>
        <?php endif; ?>
        <?php endif; // have_comments() ?>
        <?php comment_form(); ?>
    </div>
</div>
</main><!-- #main -->