<?php
/**
 * palmiword functions and definitions
 *
 * @link
 *
 * @package palmiword
 */

    function palmiword_add_ie_html5_shim () {

        echo '<!--[if IE]>';
        echo '<div style="color:red; text-align:center;">
        Il Suo browser è obsoleto e non supporta questo sito web.
        Si prega di utilizzare la versione più recente del browser o scaricare <a href="https://www.google.com/chrome/"target="_new">google chrome</a></div>';
        echo '<![endif]-->';
    }

    add_action('wp_head', 'palmiword_add_ie_html5_shim');


    function my_theme_enqueue_assets() {
        // Include the file.
        require_once get_theme_file_path( '/inc/webfont-loader-master/wptt-webfont-loader.php' );
        // Load the theme stylesheet.
        wp_enqueue_style(
            'my-theme',
            get_stylesheet_directory_uri() . '/style.css',
            array(),
            '1.0'
        );
        // Load the webfont.
        wp_enqueue_style(
            'prompt',
            wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Prompt:wght@300;500;700&display=swap' ),
            array(),
            '1.0'
        );
        wp_enqueue_style(
            'playball',
            wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Playball&display=swap' ),
            array(),
            '1.0'
        );
    }
    add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_assets' );


    if ( ! defined('_S_VERSION')) {
        
        define('_S_VERSION', '1.2.1');
    }

   function palmiword_stylecss_scripts() {

    wp_enqueue_style('palmiword_stile_css', get_stylesheet_uri(), array(), _S_VERSION );

    wp_enqueue_style('palmiword-css function', get_stylesheet_directory_uri() . "/assets/custmomizer.css", false, '1.1', 'all');

    wp_enqueue_style('palmiword-boot_css_5', get_stylesheet_directory_uri() . "/assets/bootstrap-5/css/bootstrap.min.css", array(), '1.1', 'all');

    wp_enqueue_style('palmiword-boot_icons', get_stylesheet_directory_uri() . "/assets/bootstrap-5/icons/bootstrap-icons.css", array(), '1.1', 'all');

    wp_enqueue_script('palmiword-Script_boot_5', get_template_directory_uri(). '/assets/bootstrap-5/js/bootstrap.min.js', array(), _S_VERSION, true);

    wp_enqueue_script('palmiword-Script_js', get_template_directory_uri() . '/js/customizer.js', array(), _S_VERSION, true);
  
    wp_enqueue_script('jquery');
    
    if (is_singular() && comments_open() && get_option('thread_comments')) {

        wp_enqueue_script('comment-reply');
    }
}

    add_action('wp_enqueue_scripts', 'palmiword_stylecss_scripts');


    //Excerpt More
    function palmiword_custom_excerpt_more($more) {
        return '[.....]';

    }

    add_filter('excerpt_more', 'palmiword_custom_excerpt_more');


    //Mostra immagine in evidenzza //
    add_theme_support('post-thumbnails');


    function wpdocs_theme_setup() {

        add_image_size('palmiword-img-style-evi', 390, 250, true);
       

    }

    // Background Header//
    function themename_custom_header_setup() {

        $args_header=array('flex-width'=> true,
            'width'=> 1080,
            'flex-height'=> true,
            'height'=> 600,
            'header-text'=> false,
            'default-text-color'=> false,
            'default-image'=> false,
        );
        add_theme_support('custom-header', $args_header);
    }


    //Logo Personalizato//
    function theme_prefix_setup() {
            add_theme_support('custom-logo', array('height'=> 50,
                'width'=> 185,
                'flex-height'=> true,
                'flex-width'=> true,
                'header-text'=> false,
            ));
    }
    

add_action('after_setup_theme', 'theme_prefix_setup');

    // Background color sfondo//
    $another_args=array('default-color'=> '#ffffff',
        'default-position-x'=> 'right',
        'default-position-y'=> 'top',
        'default-repeat'=> 'no-repeat',
    );


    add_theme_support('custom-background', $another_args);

    add_theme_support('automatic-feed-links');

    add_action('after_setup_theme', 'themename_custom_header_setup');

    add_theme_support('title-tag');

    add_theme_support("align-wide");

    add_theme_support("responsive-embeds");

    add_theme_support("wp-block-styles");

    add_theme_support('html5', array('comment-list', 'comment-form', 'search-form', 'gallery', 'caption', 'style', 'script'));

    // DA 
    function wpdocs_theme_add_editor_styles() {
        add_editor_style('custom-editor-style.css');
    }

    add_action('admin_init', 'wpdocs_theme_add_editor_styles');

    // paginate post
    function wpdocs_add_post_link($html) {
        $html=str_replace('<a ', '<a class="page-link" ', $html);
        return $html;
    }

    add_filter('next_post_link', 'wpdocs_add_post_link');

    add_filter('previous_post_link', 'wpdocs_add_post_link');

    add_action('after_setup_theme', 'wpdocs_theme_setup');


    //Load translations for wpdocs_theme
    function palmiword_theme_setup() {
        load_theme_textdomain('palmiword', get_template_directory() . '/languages');
    }

    register_nav_menu('main-menu', 'Top Menu');
   

    // Register widget area.//
    function palmiword_widgets_init() {
        register_sidebar(array('name'=> esc_html__('Sidebar Left e Right', 'palmiword'),
                'id'=> 'sidebar-uno',
                'description'=> esc_html__('Agg widgets area.', 'palmiword'),
                'before_widget'=> '<section id="%1$s" class="widget %2$s">',
                'after_widget'=> '</section>',
            ));
    }

    add_action('widgets_init', 'palmiword_widgets_init');


    // funzione personalizzata customizer //
    require get_template_directory() . '/inc/customizer.php';


    // Gallery 
    function palmiword_library() {
        $palmiword_args=array('post_type'=> 'attachment',
            'post_mime_type'=>'image',
            'post_status'=> 'inherit',
            'posts_per_page'=> 100,
            'orderby'=> 'rand'
        );
        $palmiword_query_images=new WP_Query($palmiword_args);
        $palmiword_images=array();

        foreach ($palmiword_query_images->posts as $palmiword_image) {
            $palmiword_images[]=$palmiword_image->guid;
        }

        return $palmiword_images;
    }


// bootstrap 5 wp_nav_menu walker
class bootstrap_5_wp_nav_menu_walker extends Walker_Nav_menu {
    private $current_item;
    private $dropdown_menu_alignment_values=[ 'dropdown-menu-start',
    ];

    function start_lvl(&$output, $depth=0, $args=null) {
        $dropdown_menu_class[]='';

        foreach($this->current_item->classes as $class) {
            if(in_array($class, $this->dropdown_menu_alignment_values)) {
                $dropdown_menu_class[]=$class;
            }
        }

        $indent=str_repeat("\t", $depth);
        $submenu=($depth > 0) ? ' sub-menu' : '';
        $output .="\n$indent<ul class=\"dropdown-menu$submenu ". esc_attr(implode(" ", $dropdown_menu_class)) . " depth_$depth\">\n";
    }

    function start_el(&$output, $item, $depth=0, $args=null, $id=0) {
        $this->current_item=$item;
        $indent=($depth) ? str_repeat("\t", $depth): '';
        $li_attributes='';
        $class_names=$value='';
        $classes=empty($item->classes) ? array(): (array) $item->classes;
        $classes[]=($args->walker->has_children) ? 'dropdown': '';
        $classes[]='nav-item';
        $classes[]='nav-item-'. $item->ID;

        if ($depth && $args->walker->has_children) {
            $classes[]='dropdown-menu-start';
        }

        $class_names=join(' ', apply_filters('nav_menu_css_class', array_filter($classes), $item, $args));
        $class_names=' class="'. esc_attr($class_names) . '"';
        $id=apply_filters('nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args);
        $id=strlen($id) ? ' id="'. esc_attr($id) . '"' : '';
        $output .=$indent . '<li '. $id . $value . $class_names . $li_attributes . '>';
        $attributes= !empty($item->attr_title) ? ' title="'. esc_attr($item->attr_title) . '"' : '';
        $attributes .= !empty($item->target) ? ' target="'. esc_attr($item->target) . '"' : '';
        $attributes .= !empty($item->xfn) ? ' rel="'. esc_attr($item->xfn) . '"' : '';
        $attributes .= !empty($item->url) ? ' href="'. esc_attr($item->url) .'"' : '';
        $active_class=($item->current || $item->current_item_ancestor || in_array("current_page_parent", $item->classes, true) || in_array("current-post-ancestor", $item->classes, true)) ? 'active' : '';
        $nav_link_class=($depth > 0) ? 'dropdown-item ' : 'nav-link ';
        $attributes .=($args->walker->has_children) ? ' class="'. $nav_link_class . $active_class . ' dropdown-toggle " data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" ' : ' class="'. $nav_link_class . $active_class . '" ';
        $item_output=$args->before;
        $item_output .='<a'. $attributes . '>';
        $item_output .=$args->link_before . apply_filters('the_title', $item->title, $item->ID) . $args->link_after;
        $item_output .='</a>';
        $item_output .=$args->after;
        $output .=apply_filters('walker_nav_menu_start_el', $item_output, $item, $depth, $args);

    }
}