<?php
  /**
   * palmiword Theme Customizer
   * 
   * Copyright (c) 2022 Giancarlo P.
   *
   * @package palmiword
   */

  function sfondo_customize_register( $wp_customize ) {

  $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';

  // Opzioni Color Opacity image header //
  $wp_customize->add_section( 'landing_page_home' , array(
  'title'       => __('Opzioni Colore e Opacita Header', 'palmiword'),
  'priority'   => 1,
  ));

  // Opacità Sfondo header per vedere immagine //
  $wp_customize->add_setting( 'checkb_radio' , array(
  'default' => 'radio-tre',
  'theme_slug_customizer_radio', 
  array(
  'sanitize_callback' => 'theme_slug_sanitize_radio'
  )));

  $wp_customize->add_control('checkb_radio', array(
  'label'        =>  __('Opacizza Header per vedere Immagine di Sfondo','palmiword'),
  'section'      =>  'landing_page_home',
  'type'         =>    'radio',
  'choices' => array(
  'radio-no'    => __('Opacità 10%','palmiword'),
  'radio-uno'   => __('Opacità 25%','palmiword'),
  'radio-due'   => __('Opacità 50%','palmiword'),
  'radio-qua'   => __('Opacità 75%','palmiword'),
  'radio-tre'   => __('Sfondo 100%','palmiword'),
  )));

  //'background color header//
  $wp_customize->add_setting( 'theme_slug_sfondo', array(
  'default'     => '#000',
  'sanitize_callback' => 'sanitize_hex_color', 
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'theme_slug_sfondo', array(              
  'label'      => __( 'Background Header', 'palmiword' ),
  'section'    => 'landing_page_home',   
  ))); 

  // Tutti a link color//
  $wp_customize->add_setting( 'link_colore', array(
  'default' => '#1e73be',
  'sanitize_callback' => 'sanitize_hex_color', 
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_colore', array(              
  'label'      => __( 'Link color parziale', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  ))); 

  // Color link navbar//
  $wp_customize->add_setting( 'link_color_nav', array(
  'default' => '#ffffff',
  'sanitize_callback' => 'sanitize_hex_color',
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_color_nav', array(              
  'label'      => __( 'Color link navbar Principale', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  ))); 

  // Color link navbar//
  $wp_customize->add_setting( 'link_color_nav_fixed', array(
  'default' => '#ffffff',
  'sanitize_callback' => 'sanitize_hex_color',
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_color_nav_fixed', array(              
  'label'      => __( 'Color link navbar a discesa', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  ))); 

  // Colore Background Navbar//
  $wp_customize->add_setting( 'total_header', array(
  'default' => '#333333',
  'sanitize_callback' => 'sanitize_hex_color', 
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'total_header', array(              
  'label'      => __( 'Background Navbar a discesa e Footer', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  ))); 

  // Colore Background Navbar Principal//
  $wp_customize->add_setting( 'total_header_principal', array(
  'default' => '',
  'sanitize_callback' => 'sanitize_hex_color', 
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'total_header_principal', array(              
  'label'      => __( 'Background Navbar Principale', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  )));

  // Colore Background Sottomenu//
  $wp_customize->add_setting( 'sottomenu_bgcol', array(
  'default' => '#000',
  'sanitize_callback' => 'sanitize_hex_color', 
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sottomenu_bgcol', array(              
  'label'      => __( 'Background Sottomenu', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  )));
  // Colore text sottomenu//
  $wp_customize->add_setting( 'sottomenu_bgcol_text_link', array(
  'default' => '#fff',
  'sanitize_callback' => 'sanitize_hex_color',
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sottomenu_bgcol_text_link', array(              
  'label'      => __( 'Sottomenu Colore link ', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  )));

  // Colore text total Body//
  $wp_customize->add_setting( 'link_colore_body', array(
  'default' => '#555',
  'sanitize_callback' => 'sanitize_hex_color',
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_colore_body', array(              
  'label'      => __( 'Colore text total Body', 'palmiword' ),
  'section'    => 'landing_page_home',
  'type'       => 'color',
  ))); 

  }
  add_action( 'customize_register', 'sfondo_customize_register' );

  function footer_customize_register( $wp_customize ) {

  // pannel//
  $wp_customize->add_section( 'footer_section' , array(
  'title'       =>  __('Personalizza Footer','palmiword'),
  'description' =>  __('Cambia Footer testo piu colore','palmiword'),
  'priority'   => 30,
  ));

  // seeting,control colore footer
  $wp_customize->add_setting( 'footer_color' , array(
  'default' => '#ffffff',
  'sanitize_callback' => 'sanitize_hex_color', //convalida il codice colore footer
  ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_color', array(
  'label'      => __('Color text','palmiword'),
  'section'    => 'footer_section',
  'settings'   => 'footer_color',
  )));

  // setting  control area testo footer//
  $wp_customize->add_setting( 'footer_text', array(
  'capability' => 'edit_theme_options',
  'default' => '',
  'sanitize_callback' => 'sanitize_text_field',
  ));

  $wp_customize->add_control( 'footer_text', array(
  'type' => 'text',
  'section' => 'footer_section', // Add a default or your own section
  'label' => __( 'Footer Text','palmiword' ),
  'description' => __( 'Questa è una casella di testo ','palmiword' ),
  ));


  }
  add_action( 'customize_register', 'footer_customize_register' );


  function mytheme_customize_register( $wp_customize ) {

  class Theme_Radio_Control extends WP_Customize_Control {
    

  public $type = 'theme_radio';

  public function enqueue() {
  wp_enqueue_style( 'css_test', get_template_directory_uri() . "/assets/custmomizer.css");
  wp_enqueue_script( 'customizer', get_template_directory_uri() . '/js/customizer.js' );
  }
  public function render_content() {
  if (empty($this->choices))
  return;
  $name = '_customize-radio-' . $this->id;
  ?>
  <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  <?php if( !empty( $this->description ) ) { ?>
  <span class="customize-control-description"><?php echo esc_html( $this->description ); ?></span>
  <?php } ?>
  <ul class="controls" id='theme-slug-img-container'>
  <?php foreach ($this->choices as $value => $label) : ?>
  <li style="display: inline; ">
  <label>
  <input <?php $this->link(); ?> class="check-label" style='display:none' <?php echo esc_url($label); ?>
  type="radio" value="<?php echo esc_attr($value); ?>" name="<?php echo esc_attr($name); ?>"
  <?php $this->link(); checked($this->value(), $value); ?> />
  <!-- <div class="button label-activo" for="idinput"><?php //echo esc_html($label); ?></div> -->
  <img class="ic-icon" src='<?php echo esc_url($label); ?>' class='<?php echo esc_attr($class); ?>' />
  </label></li>
  <?php endforeach;?>
  </ul>
  <?php
  }
  }

  class Toggle_Checkbox_Control extends WP_Customize_Control {

  public $type = 'toggle_checkbox';
  public function enqueue() {
  wp_enqueue_style( 'css customizer', get_stylesheet_directory_uri()  . "/assets/custmomizer.css");
  // wp_enqueue_script('Scr customizer', get_template_directory_uri() . '/js/customizer.js', array('jquery'), false, true );
  }
  public function render_content() {
  ?>
  <div class="toggle-test">
  <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  <?php if( !empty( $this->description ) ) { ?>
  <span class="customize-control-description"><?php echo esc_html( $this->description ); ?></span>
  <?php } ?>
  <label class="switch" for="<?php echo esc_attr( $this->id ); ?>">
  <input type="checkbox" class="checkbox" id="<?php echo esc_attr($this->id); ?>"
  name="<?php echo esc_attr($this->id);?>" value="<?php echo esc_attr( $this->value() ); ?>"
  <?php $this->link(); checked( $this->value());?>>
  <span class="toggle-thumb"><p class="toogle-off">OFF</p><p class="toogle-on">ON</p>
  </span></label>
  </div>
  <?php
  }
  }
  class Simple_Custom_number extends WP_Customize_Control {
  public $type = 'range';
  public function enqueue() {
  wp_enqueue_style( 'css customizer', get_stylesheet_directory_uri()  . "/assets/custmomizer.css");
  wp_enqueue_script('Scr customizer', get_template_directory_uri() . '/js/customizer.js', array('jquery'), false, true );
  }
  public function render_content() {
  ?>
  <label>
  <?php if( !empty( $this->label ) ) { ?>
  <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  <?php } ?>
  <?php if( !empty( $this->description ) ) { ?>
  <span class="customize-control-description"><?php echo esc_html( $this->description );?></span>
  <?php } ?>
  <div class="directionflex">
  <span class="allstyle">Px</span>
  <div class="prov-altr-range-value"><?php echo esc_html($this->value()); ?></div>
  <input class="data-input-class" data-input-type="range" type="range" <?php $this->input_attrs(); ?>
  name="<?php echo esc_attr( $this->id ); ?>" value="<?php echo esc_html($this->value()); ?>" <?php $this->link(); ?> />
  </div>
  <span><?php echo esc_html($this->description); ?></span>
  </label>
  <?php
  }
  }
  $wp_customize->add_section( 'section_one' , array(
  'title'       =>  'Opzioni Thema',
  'priority'    => 1,
  ));

  //radio+chechbox sanitization function
  function theme_slug_sanitize_radio( $input ){
  return ( isset( $input ) ? true : false );
  }

  // alignament left,right title blog//
  $wp_customize->add_setting( 'text_align_title', array(
  'default' =>'left',
  'transport'  => 'refresh',
  'theme_slug_customizer_radio', 
  array(
  'sanitize_callback' => 'theme_slug_sanitize_radio',
  )));

  $wp_customize->add_control( new Theme_Radio_Control( $wp_customize, 'text_align_title', array(
  'label' => __('Alligna titoli nel header','palmiword'),
  'description' => __('Sposta a sinistra o in centro i titoli del blog','palmiword'),
  'section' => 'section_one',
  'choices' => array(
  'left' => get_template_directory_uri().'/image/text-left.png',
  'center' => get_template_directory_uri().'/image/text-center.png',
  ))));

    // Color text header//
    $wp_customize->add_setting( 'text_center_header', array(
    'default' => '#ffffff',
    'sanitize_callback' => 'sanitize_hex_color', 
    ));

  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'text_center_header', array(              
  'label'      => __( 'Color text header', 'palmiword' ),
  'section'    => 'section_one',
  'type'       => 'color',
  ))); 

  // Font text header//
  $wp_customize->add_setting( 'font_text_center_header', array(
  'default' => 'normal',
  'sanitize_callback' => 'sanitize_text_field',
  ));
  $wp_customize->add_control('font_text_center_header', array(              
  'label'      => __( 'Font text title header base', 'palmiword' ),
  'section'    => 'section_one',
  'type'       => 'select',
  'choices' => array(
  'normal'   =>  'Normal 300',
  'italic'   =>  'Italic Normal',
  'medio'    =>  'Normal 500',
  'mediobold' => 'Italic 500',
  'bold'     =>  'Bold',
  'boldita'  =>  'Bold Italic',
  'fontfamily'  =>  'font-family:cursive',
  'fontfamilyit'  =>  'font-family:cursive Italic',
  )
  )); 
  $wp_customize->add_setting( 'phone_text', array(
    'default' =>'',
    'sanitize_callback' => 'sanitize_text_field'
    ));
  
    $wp_customize->add_control( 'phone_text', array(
    'type' => 'textarea',
    'section' => 'section_one', 
    'label' => __( 'Altre Info ','palmiword' ),
    'description' => __( 'Contatti o altro','palmiword' ),
    ));

    //  Grandezza titolo//
    $wp_customize->add_setting( 'numberpixel_uno', array(
      'default' => '44',
      'transport'   => 'postMessage',
      'theme_slug_customizer_your_section', 
      array(
      'sanitize_callback' => 'theme_slug_customizer_your_section', 
      )));
    $wp_customize->add_control( new Simple_Custom_number( $wp_customize, 'numberpixel_uno', array(
      'section' => 'section_one',
      'label' => esc_html__( 'Titolo Header(Px)','palmiword' ),
      'input_attrs' => array(
      'min' => 20,
      'max' => 80,
      ),
    )));

  // Sidebar left, right,none//
  $wp_customize->add_setting( 'align_sidebar', array(
  'theme_slug_customizer_radio', 
  array(
  'default' =>'right',
  'transport'  => 'refresh',
  'sanitize_callback' => 'theme_slug_sanitize_radio',
  )));

  $wp_customize->add_control( new Theme_Radio_Control( $wp_customize, 'align_sidebar', array(
  'label' => __('Sidebar sposta ','palmiword'),
  'description' => __('Sposta la sidebar del template','palmiword'),
  'section' => 'section_one',
  'choices' => array(
  'left' => get_template_directory_uri().'/image/sidebar-left.png',
  'right' => get_template_directory_uri().'/image/sidebar-right.png',
  ))));

  // Front page tre colonne recent post//
  $wp_customize->add_setting( 'show_hide' , array(
  'default'     => '1',
  'type'        => 'theme_mod',
  'capability'  => 'edit_theme_options',
  'transport'   => 'refresh',
  'theme_slug_customizer_checkbox', 
  array(
  'sanitize_callback' => 'theme_slug_sanitize_checkbox'
  )));

  $wp_customize->add_control( new Toggle_Checkbox_Control( $wp_customize, 'show_hide', array(
  'label' => __('Mostra Contenuto colonne ','palmiword'),
  'description' => __('Solo Front Page Statica, imposta con Post in evidenza, Visualizza solo il primo articolo in evidenza, se non ve ne è alcuno non restituisce nulla','palmiword'),
  'section' => 'section_one',
  'settings' => 'show_hide',
  'type' => 'checkbox',
  'choices' => array(
  'show' => 'Display',
  'hide' => 'Nascondi display',
  ))));

  // Toggle_svg// in costruzione
  $wp_customize->add_setting( 'display_show_hide' , array(
  'default'     => 'hide',
  'transport'   => 'refresh',
  'theme_slug_customizer_checkbox', 
  array(
  'sanitize_callback' => 'theme_slug_sanitize_checkbox'
  )));

  $wp_customize->add_control( new Toggle_Checkbox_Control( $wp_customize, 'display_show_hide', array(
  'label' => __('Mostra nascondi Svg','palmiword'),
  'description' => __('Mostra nascondi style svg','palmiword'),
  'section' => 'section_one',
  'settings' => 'display_show_hide',
  'type' => 'checkbox',
  'choices' => array(
  'show' => 'si',
  'hide' => 'no',
  ))));
  
  }

  add_action( 'customize_register', 'mytheme_customize_register' );

  function section_brand_customize_register( $wp_customize ) {

  // Section Brand//
  $wp_customize->add_section( 'brand_section' , array(
  'title'       =>  __('Opzioni Testo e Layout','palmiword'),
  'priority'    => 10,
  ));

  // Titolo Brand_section//
  $wp_customize->add_setting( 'themeslug_text_setting_id', array(
  'default' =>'My Logo',
  'sanitize_callback' => 'sanitize_text_field'
  ));

  $wp_customize->add_control( 'themeslug_text_setting_id', array(
  'type' => 'text',
  'section' => 'brand_section', 
  'label' => __( 'Testo Brand Barranav','palmiword' ),
  ));

  // Titolo centrale tag frontpage//
  $wp_customize->add_setting( 'text_business' , array(
  'default'     => "Post In Evidenza",
  'sanitize_callback' => 'sanitize_text_field'
  ));

  $wp_customize->add_control( 'text_business', array(
  'label'      => __('Testo centrale Frontpage recent post','palmiword'),
  'description'      => __('Visibile in Front page statica','palmiword'),
  'section'    => 'brand_section',
  ));

  // Mostra icona riceca //
  $wp_customize->add_setting( 'icona_show_hide' , array(
  'default'     => '1',
  'transport'   => 'refresh',
  'theme_slug_customizer_checkbox',
  array(
  'sanitize_callback' => 'theme_slug_sanitize_checkbox'
  )));

  $wp_customize->add_control( new Toggle_Checkbox_Control( $wp_customize, 'icona_show_hide', array(
  'label' => __('Mostra icona riceca','palmiword'),
  'description' => __('Icona ricerca e Barranav a discesa','palmiword'),
  'section' => 'brand_section',
  'settings' => 'icona_show_hide',
  'type' => 'checkbox',
  'choices' => array(
  'show' => 'on',
  'hide' => 'off',
  ))));

  //// Layuot template ////
  $wp_customize->add_setting( 'layout_homepage', array(
  'default' => 'default',
  'theme_slug_customizer_radio', 
  array(
  'sanitize_callback' => 'theme_slug_sanitize_radio'
  )));

  $wp_customize->add_control( 'layout_homepage', array(
  'type' => 'select',
  'label' => __('Home Layout Template ','palmiword'),
  'description' => __('Full Width, Default Front Page statica','palmiword'),
  'section' => 'brand_section',
  'capability' => 'edit_theme_options',
  'choices' => array(
  'default' => __('Default','palmiword'),
  'nosidebar-default'  => __('Full Width','palmiword'),
  )));

  class Simple_Custom_Control extends WP_Customize_Control {
  public $type = 'range';
  public function enqueue() {
  wp_enqueue_style( 'css customizer', get_stylesheet_directory_uri()  . "/assets/custmomizer.css");
  wp_enqueue_script('Scr customizer', get_template_directory_uri() . '/js/customizer.js', array('jquery'), false, true );
  }
  public function render_content() {
  ?>
  <label>
  <?php if( !empty( $this->label ) ) { ?>
  <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
  <?php } ?>
  <?php if( !empty( $this->description ) ) { ?>
  <span class="customize-control-description"><?php echo esc_html( $this->description );?></span>
  <?php } ?>
  <div class="directionflex">
    <!-- <span class="allstyle"><input type="reset" value="Px"></span> -->
    <div class="prov-altr-range-value"><?php echo esc_html($this->value()); ?></div>
    <input class="data-input-class" data-input-type="range" type="range" <?php $this->input_attrs(); ?>
    name="<?php echo esc_attr( $this->id ); ?>" value="<?php echo esc_html($this->value()); ?>" <?php $this->link(); ?> />
  </div>
  <span><?php echo esc_html($this->description); ?></span>
  </label>
  <?php
      }
  }

  $wp_customize->add_setting( 'countpixel', array(
  'default' => '350',
  'transport'   => 'postMessage',
  'theme_slug_customizer_your_section', 
  array(
  'sanitize_callback' => 'theme_slug_customizer_your_section', 
  )));

  $wp_customize->add_control( new Simple_Custom_Control( $wp_customize, 'countpixel', array(
  'section' => 'brand_section',
  'label' => esc_html__( 'Header Altezza Home (Px)','palmiword' ),
  'input_attrs' => array(
    'min' => 220,
    'max' => 600,
  )
  )));

  $wp_customize->add_setting( 'countpixel_pagine', array(
  'default' => '260',
  'transport'   => 'postMessage',
  'theme_slug_customizer_your_section', 
  array(
  'sanitize_callback' => 'theme_slug_customizer_your_section', 
  )));

  $wp_customize->add_control( new Simple_Custom_Control( $wp_customize, 'countpixel_pagine', array(
  'section' => 'brand_section',
  'label' => esc_html__( 'Header Altezza Pagina (Px)','palmiword' ),
  'input_attrs' => array(
    'min' => 200,
    'max' => 400,
  ),
  )));

  // Display Button//
  $wp_customize->add_setting( 'display_button' , array(
  'default'     => '1',
  'transport'   => 'refresh',
  'theme_slug_customizer_checkbox', 
   array(
  'sanitize_callback' => 'theme_slug_sanitize_checkbox'
  )));

  $wp_customize->add_control( new Toggle_Checkbox_Control( $wp_customize, 'display_button', array(
  'label' => __('Solo Front Page Mostra Bottone', 'palmiword'),
  'description' => __('Mostra nascondi Bottone cambia colore con barranav a discesa','palmiword'),
  'section' => 'brand_section',
  'settings' => 'display_button',
  'type' => 'checkbox',
  'choices' => array(
  'show' => 'si',
  'hide' => 'no',
  ))));

  // bottone url semplicissimo//
  $wp_customize->add_setting( 'text_button' , array(
  'default'     => "...",
  'sanitize_callback' => 'sanitize_text_field'
  ));

  $wp_customize->add_control( 'text_button', array(
  'label'      => __('Testo Nome Bottone','palmiword'),
  'section'    => 'brand_section',
  ));

  $wp_customize->add_setting( 'text_button-url' , array(
  'default'     => "https://",
  'sanitize_callback' => 'sanitize_text_field'
  ));

  $wp_customize->add_control( 'text_button-url', array(
  'label'      => __('Url Bottone','palmiword'),
  'section'    => 'brand_section',
  ));

  // color bottone//
  $wp_customize->add_setting( 'colore_bottone_link', array(
    'default' => '#618db7',
    'transport'   => 'refresh',
    'theme_slug_customizer_color', 
    'output'      => array(
    array(
    'sanitize_callback' => 'theme_slug_sanitize_color',
    'element'  => '.btnlegg-h',
    'property' => 'background-color',
    ),
    )
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colore_bottone_link', array(              
    'label'      => __( 'Colore Bottone', 'palmiword' ),
    'section'    => 'brand_section',
    'type'       => 'color',
    )));
    
  }
  add_action( 'customize_register', 'section_brand_customize_register' );
  get_template_part('/inc/customizer-css','page');

/**
 * Used by hook: 'customize_preview_init'
 * 
 * @see add_action('customize_preview_init',$func)
 */
 function mytheme_customizer_live_preview(){
    wp_enqueue_script( 'palmiword-themecustomizer', get_template_directory_uri().'/js/script-prewie.js', array( 'jquery','customize-preview' ), '',	true					
    );
  }
  add_action( 'customize_preview_init', 'mytheme_customizer_live_preview' );
  

        
    
      
      
    