<?php 
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package palmiword
 */

get_template_part('template-parts/header-news', 'page');?>
<main id="primary" class="site-main">
  <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="row">
      <nav style="--bs-breadcrumb-divider: '->';" aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')) ?>"><i class="bi bi-house-door"></i> Home</a></li>
          <li class="breadcrumb-item" aria-current="page">Recent: </li>
          <li class="breadcrumb-item active " aria-current="page"><?php echo wp_trim_words( get_the_title(), 4 ); ?>
            <i class="bi bi-alarm"></i> <?php the_time(get_option('date_format')); ?>
          </li>
        </ol>
      </nav>
      <?php if( get_theme_mod( 'align_sidebar' ) == 'left') { ?>
      <div class="spaccing sidebar-sx col-sm-3">
        <?php get_sidebar('left');?>
      </div>
      <?php } ?>
      <div id="primary" class="spaccing col-sm-9 ">
        <div class="row">
          <?php if(have_posts()): while(have_posts()):the_post();?>
          <div class="migliora col-sm-6">
            <div class="vuoto">
              <div class="card-body">
                <div class="img-artic">
                  <?php if ( has_post_thumbnail() ) { the_post_thumbnail('palmiword-img-style-evi');
                  } else {
                  echo '<img src="' . esc_url(get_stylesheet_directory_uri()). '/image/senzaimmagine.jpg" />';
                  } ?></div>
                <hr>
                <?php $archive_year  = get_the_time( 'Y' ); $archive_month = get_the_time( 'm' ); $archive_day   = get_the_time( 'd' ); ?>
                <h5 class="card-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h5>
                <?php echo esc_html(wp_trim_words(get_the_excerpt(), 20)); ?>
                <hr>
                <?php edit_post_link( __( 'Edita', 'palmiword' ), '<span>', '</span>', null, 'btn btn-light btn-edit-post-link' );?>
                <a href="<?php the_permalink();?>" class="solo btn btn-light"><?php echo esc_html__('Leggi','palmiword');?></a>
                <div class="time">
                  <a href="<?php echo esc_url(get_author_posts_url($post->post_author));?>">
                  <i class="bi bi-person"></i> <?php the_author_meta('display_name', $post->post_author); ?></a>
                  <a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ); ?>">
                  <i class="bi bi-alarm"></i> <?php the_time(get_option('date_format')); ?>  </a>
                  <?php if ( comments_open() ) : echo ' <i class="bi bi-chat-left"></i> <a> ';
                    comments_popup_link( '0', '1', '% comments', 'comments-link', 'Comments are off for this post');
                    echo ' </a>';
                    endif; ?>
                    
                </div>
              </div>
            </div>
          </div>
          <?php endwhile;?>
          <?php endif;?>
        </div><br>
        <div class="inpagina">
          <?php wp_link_pages(); ?>
          <?php the_posts_pagination( array(
        'mid_size'  => 2,
        'prev_text' => __( ' < ', 'palmiword' ),
        'next_text' => __( ' > ', 'palmiword' ),
        ) ); ?>
        </div><br>
      </div>
      <div class="spaccing sidebar-dx col-sm-3">
        <?php get_sidebar('right');?>
      </div>
    </div>
  </div>
</main><!-- #main -->
<?php get_footer();